%define upstream_name    Opcodes
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Opcodes info from opnames.h and opcode.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
More Opcodes information from opnames.h and opcode.h.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md SIGNATURE
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.140.0-16.mga8
+ Revision: 1595127
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.140.0-15.mga8
+ Revision: 1529109
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.140.0-14.mga8
+ Revision: 1433118
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.140.0-13.mga7
+ Revision: 1293598
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.140.0-12.mga7
+ Revision: 1249863
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.140.0-11.mga7
+ Revision: 1166072
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.140.0-10.mga7
+ Revision: 1149097
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.140.0-9.mga7
+ Revision: 1126631
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1031538
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 957824
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.140.0-6.mga6
+ Revision: 845062
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.140.0-5.mga6
+ Revision: 841126
- rebuild for perl-5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 787926
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 742172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 685791
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 653388
- update to 0.14

* Tue Jun 03 2014 pterjan <pterjan> 0.130.0-2.mga5
+ Revision: 631531
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.130.0-1.mga5
+ Revision: 581262
- update to 0.13

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 525745
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 shlomif <shlomif> 0.120.0-1.mga4
+ Revision: 434414
- update to 0.12

* Wed May 29 2013 jquelin <jquelin> 0.110.0-5.mga4
+ Revision: 430923
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.110.0-4.mga4
+ Revision: 430055
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 371124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-2.mga3
+ Revision: 251002
- rebuild for perl 5.16

* Tue Dec 06 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 177821
- update to 0.11

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165115
- add a description
- imported package perl-Opcodes


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
